Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define stamp 20081006

Name:           uread
Version:        0
Release:        alt2_0.32.%{stamp}
Summary:        Utilities for unformatted fortran files

License:        GPL-1.0-or-later
URL:            http://www.engineers.auckland.ac.nz/~snor007/software.html#uread
Source0:        uread-%{stamp}.tar.gz
# unversioned upstream source, downloaded with wget -N
# renamed to uread-YYYYMMDD.tar.gz
#Source0:        http://www.engineers.auckland.ac.nz/~snor007/src/uread.tar.gz

# this is a mail exchange where the author gives the right to redistribute 
# his work under the GPL
Source1:        uread-licence.email
#Patch0:         uread-include_stdlib.diff
Patch1:         uread-c99.patch

#BuildRequires:  
#Requires:       


BuildRequires:  gcc
Source44: import.info
%description
These utilities enable you to have a look at a Fortran unformatted file to 
see the size of the data records, and to swap its endianess from big to 
little, or vis versa.

%prep
%setup -q -n uread
%patch1 -p1


cp -p %{SOURCE1} .

%build
export CFLAGS="$RPM_OPT_FLAGS"
%make_build


%install
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m755 $RPM_BUILD_ROOT%{_bindir}/
install -p -m644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m0755 uread ustrip uswap $RPM_BUILD_ROOT%{_bindir}/



%files
%doc uread-licence.email
%{_bindir}/uread
%{_bindir}/ustrip
%{_bindir}/uswap
%{_mandir}/man1/u*.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.32.20081006
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.31.20081006
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.29.20081006
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.27.20081006
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.26.20081006
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.25.20081006
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.24.20081006
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0-alt2_0.23.20081006
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.23.20081006
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.22.20081006
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.21.20081006
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.20.20081006
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.19.20081006
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.18.20081006
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.17.20081006
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.15.20081006
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.20081006
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.13.20081006
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.12.20081006
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.11.20081006
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.10.20081006
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.9.20081006
- initial fc import

